﻿using EPiServer.PlugIn;
using EPiServer.ServiceLocation;
using FotoWare.PlugIns.Episerver.Interfaces;

namespace  FotoWare.PlugIns.Episerver.ArchiveImport
{
    [ScheduledPlugIn(DisplayName = "FotoWare - Import assets - Force", Description = "Imports all assets from FotoWare from specified archives - Full import. Only to be run manually from time to time")]
    public class FotoWareImportArchiveScheduledJobForce : FotoWareImportArchiveScheduledJob
    {

        public FotoWareImportArchiveScheduledJobForce()
            : base(ServiceLocator.Current.GetInstance<IFotoWareSettings>(),
                ServiceLocator.Current.GetInstance<IFotoWareSynchronizer>())
        {
            base.ForceUpdate = true;
        }
       
    }
}